VCF-STATS(1)

NAME
vcf-stats - statistic of VCF file

SYNOPSIS
vcf-stats [OPTIONS] file.vcf.gz

OPTIONS

-d, --dump <file>
    Take an existing dump file and recreate the files (works with -p)

-f, --filters <filter1,filter2>
    List of filters such as column/field (any value), column/field=bin:max (cluster in bins),column/field=value (exact value)

-p, --prefix <dir/string>
    Prefix of output files. If slashes are present, directories will be created.

-s, --samples <list>
    Process only the listed samples, - for none. Excluding unwanted samples may increase performance considerably.

-h, -?, --help
    This help message.

EXAMPLES

    # Calculate stats separately for the filter field, quality and non-indels vcf-stats file.vcf.gz -f FILTER,QUAL=10:200,INFO/INDEL=False -p out/

    # Calculate stats for all samples vcf-stats file.vcf.gz -f FORMAT/DP=10:200 -p out/

    # Calculate stats only for the sample NA00001 vcf-stats file.vcf.gz -f SAMPLE/NA00001/DP=1:200 -p out/

    vcf-stats file.vcf.gz > perl.dump